$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.28-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.28-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '102D86E5C07CECB251F4E18D990EB6B26FC5D5AE3F7721DD71428BE143AB4C01'
  checksumType = 'sha256'
  checksum64 = '102D86E5C07CECB251F4E18D990EB6B26FC5D5AE3F7721DD71428BE143AB4C01'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.27.28-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
